NX Open C++ Reference Guide
|
Represents a @link Weld::PlugSlot Weld::PlugSlot@endlink builder <br> To create a new instance of this class, use @link Weld::WeldManager::CreatePlugSlotBuilder Weld::WeldManager::CreatePlugSlotBuilder @endlink <br>
Default values. More...
Public Types | |
enum | ArcProcessEnum { ArcProcessEnumGmaw, ArcProcessEnumGtaw, ArcProcessEnumGtac, ArcProcessEnumSmaw, ArcProcessEnumPaw } |
arc process for the weld feature More... | |
enum | EnumContour { EnumContourNone, EnumContourConvex, EnumContourFlush, EnumContourConcave } |
contour type More... | |
Public Member Functions | |
bool | AssignWeldPMI () |
Returns the assign weld pmi Created in NX8.0.0. | |
NXOpen::Weld::CharacteristicsBuilder * | Characteristics () |
Returns the characteristics Created in NX8.0.0. | |
NXOpen::Expression * | ContourDepth () |
Returns the contour depth Created in NX8.0.0. | |
NXOpen::Expression * | ContourHeight () |
Returns the contour height needed for cap Created in NX8.0.0. | |
NXOpen::Weld::PlugSlotBuilder::EnumContour | ContourType () |
Returns the contour type Created in NX8.0.0. | |
NXOpen::Section * | Edge1 () |
Returns the edge of the hole or slot on face1 Created in NX8.0.0. | |
NXOpen::ScCollector * | Face1 () |
Returns the face1 Created in NX8.0.0. | |
NXOpen::ScCollector * | Face2 () |
Returns the face2 Created in NX8.0.0. | |
bool | FieldWeld () |
Returns the field weld Created in NX8.0.0. | |
NXOpen::Face * | SeedFace1 () |
Returns the top face on face1 Created in NX8.0.0. | |
NXOpen::Face * | SeedFace2 () |
Returns the bottom face from which the weld will be extruded towards the top Created in NX8.0.0. | |
void | SetAssignWeldPMI (bool assignWeldPMI) |
Sets the assign weld pmi Created in NX8.0.0. | |
void | SetContourType (NXOpen::Weld::PlugSlotBuilder::EnumContour contourType) |
Sets the contour type Created in NX8.0.0. | |
void | SetFieldWeld (bool fieldWeld) |
Sets the field weld Created in NX8.0.0. | |
void | SetSeedFace1 (NXOpen::Face *seedFace1) |
Sets the top face on face1 Created in NX8.0.0. | |
void | SetSeedFace2 (NXOpen::Face *seedFace2) |
Sets the bottom face from which the weld will be extruded towards the top Created in NX8.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Weld::PlugSlot Weld::PlugSlot@endlink builder <br> To create a new instance of this class, use @link Weld::WeldManager::CreatePlugSlotBuilder Weld::WeldManager::CreatePlugSlotBuilder @endlink <br>
Default values.
Property | Value |
---|---|
AssignWeldPMI |
0 |
ContourDepth.Value |
2.54 (millimeters part), .1 (inches part) |
ContourHeight.Value |
2.54 (millimeters part), .1 (inches part) |
ContourType |
None |
FieldWeld |
0 |
Created in NX8.0.0.
bool NXOpen::Weld::PlugSlotBuilder::AssignWeldPMI | ( | ) |
Returns the assign weld pmi
Created in NX8.0.0.
License requirements : None
NXOpen::Weld::CharacteristicsBuilder* NXOpen::Weld::PlugSlotBuilder::Characteristics | ( | ) |
Returns the characteristics
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Weld::PlugSlotBuilder::ContourDepth | ( | ) |
Returns the contour depth
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Weld::PlugSlotBuilder::ContourHeight | ( | ) |
Returns the contour height needed for cap
Created in NX8.0.0.
License requirements : None
NXOpen::Weld::PlugSlotBuilder::EnumContour NXOpen::Weld::PlugSlotBuilder::ContourType | ( | ) |
Returns the contour type
Created in NX8.0.0.
License requirements : None
NXOpen::Section* NXOpen::Weld::PlugSlotBuilder::Edge1 | ( | ) |
Returns the edge of the hole or slot on face1
Created in NX8.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Weld::PlugSlotBuilder::Face1 | ( | ) |
Returns the face1
Created in NX8.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Weld::PlugSlotBuilder::Face2 | ( | ) |
Returns the face2
Created in NX8.0.0.
License requirements : None
bool NXOpen::Weld::PlugSlotBuilder::FieldWeld | ( | ) |
Returns the field weld
Created in NX8.0.0.
License requirements : None
NXOpen::Face* NXOpen::Weld::PlugSlotBuilder::SeedFace1 | ( | ) |
Returns the top face on face1
Created in NX8.0.0.
License requirements : None
NXOpen::Face* NXOpen::Weld::PlugSlotBuilder::SeedFace2 | ( | ) |
Returns the bottom face from which the weld will be extruded towards the top
Created in NX8.0.0.
License requirements : None
void NXOpen::Weld::PlugSlotBuilder::SetAssignWeldPMI | ( | bool | assignWeldPMI | ) |
Sets the assign weld pmi
Created in NX8.0.0.
License requirements : None
assignWeldPMI | assignweldpmi |
void NXOpen::Weld::PlugSlotBuilder::SetContourType | ( | NXOpen::Weld::PlugSlotBuilder::EnumContour | contourType | ) |
Sets the contour type
Created in NX8.0.0.
License requirements : None
contourType | contourtype |
void NXOpen::Weld::PlugSlotBuilder::SetFieldWeld | ( | bool | fieldWeld | ) |
Sets the field weld
Created in NX8.0.0.
License requirements : None
fieldWeld | fieldweld |
void NXOpen::Weld::PlugSlotBuilder::SetSeedFace1 | ( | NXOpen::Face * | seedFace1 | ) |
Sets the top face on face1
Created in NX8.0.0.
License requirements : None
seedFace1 | seedface1 |
void NXOpen::Weld::PlugSlotBuilder::SetSeedFace2 | ( | NXOpen::Face * | seedFace2 | ) |
Sets the bottom face from which the weld will be extruded towards the top
Created in NX8.0.0.
License requirements : None
seedFace2 | seedface2 |